#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: hedis
version: 0.6.9
id: hedis-0.6.9-31f6a47b514db8a69fc05dc0f3e697c0
key: hedis_6eymVd3AG8a7gdGg6pweLG
license: BSD3
copyright: Copyright (c) 2011 Falko Peters
maintainer: falko.peters@gmail.com
homepage: https://github.com/informatikr/hedis
synopsis: Client library for the Redis datastore: supports full command set,
          pipelining.
description:
    Redis is an open source, advanced key-value store. It is often referred to
    as a data structure server since keys can contain strings, hashes, lists,
    sets and sorted sets. This library is a Haskell client for the Redis
    datastore. Compared to other Haskell client libraries it has some
    advantages:
    .
    [Complete Redis 2.6 command set:] All Redis commands
    (<http://redis.io/commands>) are available as haskell functions, except
    for the MONITOR and SYNC commands. Additionally, a low-level API is
    exposed that  makes it easy for the library user to implement further
    commands, such as new commands from an experimental Redis version.
    .
    [Automatic Optimal Pipelining:] Commands are pipelined
    (<http://redis.io/topics/pipelining>) as much as possible without any
    work by the user. See
    <http://informatikr.com/2012/redis-pipelining.html> for a
    technical explanation of automatic optimal pipelining.
    .
    [Enforced Pub\/Sub semantics:] When subscribed to the Redis Pub\/Sub server
    (<http://redis.io/topics/pubsub>), clients are not allowed to issue
    commands other than subscribing to or unsubscribing from channels. This
    library uses the type system to enforce the correct behavior.
    .
    [Connect via TCP or Unix Domain Socket:] TCP sockets are the default way to
    connect to a Redis server. For connections to a server on the same
    machine, Unix domain sockets offer higher performance than the standard
    TCP connection.
    .
    For detailed documentation, see the "Database.Redis" module.
    .
category: Database
author: Falko Peters
exposed: True
exposed-modules:
    Database.Redis
hidden-modules: Database.Redis.Core
                Database.Redis.ProtocolPipelining Database.Redis.Protocol
                Database.Redis.PubSub Database.Redis.Transactions
                Database.Redis.Types Database.Redis.Commands
                Database.Redis.ManualCommands
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/hedis-0.6.9
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/hedis-0.6.9
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/hedis-0.6.9
hs-libraries: HShedis-0.6.9-6eymVd3AG8a7gdGg6pweLG
include-dirs: /usr/local/include
depends:
    BoundedChan-1.0.3.0-124bbe9116c79e48fc3cf82b406e6116
    attoparsec-0.12.1.6-afc89750d5b2dfe5c23c97630edee83d
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    bytestring-0.10.6.0-4bad3e0db8dcda038eec8bfd6aea32b3
    bytestring-lexing-0.5.0.2-c1e010581cde68a94b456eab73f3ea61
    mtl-2.2.1-6281cd9698784dbc328cef3b013b905d
    network-2.6.2.1-1efabe34c29aae7dc76038169a9c7a77
    resource-pool-0.2.3.2-1bb8292103a1847ffbdbbe337a3f7fd9
    time-1.5.0.1-df3afb8c4b8f408db3802d1302f1d2a2
    vector-0.10.12.3-27897745aebd646b98c12ed0d61390a9
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/hedis-0.6.9/html/hedis.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/hedis-0.6.9/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
